> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-gps-v2/exports.md).

# Exports

## Connect To Channel

<pre class="language-lua"><code class="lang-lua"><strong>---@param channelId number
</strong><strong>---@code string|nil
</strong><strong>---@name string|nil
</strong><strong>---@showCode boolean|nil
</strong><strong>---@blipColor number|nil
</strong><strong>---@return invalid_channel_id|nil
</strong><strong>local retval = exports['0r-gpsv2']:ConnectToChannel({
</strong>    channnelId = 12345, -- Replace with the actual channel ID you want to connect to
    code = 'ABC123', -- Optional: Replace with the code you want to use
    name = 'No.1', -- Optional: Replace with the name you want to use
    showCode = true, -- Optional: Set to true if you want to show the code in the GPS
    blipColor = 1 -- Optional: Replace with the color you want for the blip
})
</code></pre>

## Disconnect From Channel

```lua
---@return nil
exports['0r-gpsv2']:DisconnectFromChannel()
```

## Follow Member

```lua
---@param number
---@return nil
exports['0r-gpsv2']:FollowMember(12345)
```

## Unfollow Member

```lua
---@return nil
exports['0r-gpsv2']:UnfollowMember()
```

## Is GPS On

```lua
---@return boolean
local retval = exports['0r-gpsv2']:IsGPSOn()
```

## GetChannelID

```lua
---@return string|nil
local retval = exports['0r-gpsv2']:GetChannelId()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-gps-v2/exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
